Loading...
Searching...
No Matches
dna3bs.hpp File Reference

Provides seqan3::dna3bs, container aliases and string literals. More...

`#include <vector>`
`#include <seqan3/alphabet/nucleotide/nucleotide_base.hpp>`
`#include <seqan3/utility/char_operations/transform.hpp>`
Include dependency graph for dna3bs.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::dna3bs
| The three letter reduced DNA alphabet for bisulfite sequencing mode (A,G,T(=C)). More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::literals
| The SeqAn namespace for literals.

## Functions

Nucleotide literals
constexpr dna3bs_vector | seqan3::literals::operator""_dna3bs (char const *s, std::size_t n)
| The seqan3::dna3bs string literal.
constexpr dna3bs | seqan3::literals::operator""_dna3bs (char const c) noexcept
| The seqan3::dna3bs char literal.

## Detailed Description

Provides seqan3::dna3bs, container aliases and string literals.

Author
  Sara Hetzel <sara.hetzel AT fu-berlin.de>

Hide me